package cn.ysk.cashier.dto.shop;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;

@Data
public class TbShopSongOrderQueryCriteria {

    private String shopId;
    private String orderNo;
    private String name;
    private Integer state;
    /**
     * 从1开始
     */
    private Long page = 1L;
    /**
     * 展示数量
     */
    private Long size = 10L;

    public void setShopId(String shopId) {
        if (StringUtils.isNotBlank(shopId) && !shopId.equals("1")) {
            this.shopId = shopId;
        }
    }

    public void setOrderNo(String orderNo) {
        if (StringUtils.isNotBlank(orderNo))
        this.orderNo = orderNo;
    }

    public void setName(String name) {
        if (StringUtils.isNotBlank(name))
        this.name = name;
    }

    public void setState(Integer state) {
        if (state!=null)
        this.state = state;
    }
}
